> For a complete page index of the Captain API documentation, fetch https://docs.captain.dev/llms.txt?excludeSpec=true

# List Aliases

GET https://acme.captain.dev/v1/aliases

List every alias and the index it points to.

Reference: https://docs.captain.dev/reference/product-search/indexes/list-aliases

## Authentication

- `Authorization` header (bearer token, required) — A write key, issued by Captain. Server side only. Sent as Authorization: Bearer \<key>.

## Response

### 200

aliases

- `aliases` (list of V1AliasesGetResponsesContentApplicationJsonSchemaAliasesItems, optional)

## Types

### V1AliasesGetResponsesContentApplicationJsonSchemaAliasesItems

- `alias` (string, required)
- `index` (string, required)

## Examples

**Response**

```json
{
  "aliases": [
    {
      "alias": "products",
      "index": "products-v2"
    }
  ]
}
```

**SDK Code**

```python Python REST
import json
import requests

BASE_URL = "https://acme.captain.dev"
API_KEY = "your_write_key"

headers = {
    "Authorization": f"Bearer {API_KEY}",
}

response = requests.get(
    f"{BASE_URL}/v1/aliases",
    headers=headers,
    timeout=30.0,
)

print(json.dumps(response.json(), indent=2))
```

```typescript TypeScript REST
const BASE_URL = "https://acme.captain.dev";
const API_KEY = "your_write_key";

const response = await fetch(`${BASE_URL}/v1/aliases`, {
  method: "GET",
  headers: {
    Authorization: `Bearer ${API_KEY}`,
  },
});

const result = await response.json();
console.log(JSON.stringify(result, null, 2));
```